package query

import (
	"github.com/odysseus/service-registry/common"
	"github.com/redis/go-redis/v9"
)

type WorkerInfo struct {
	// worker specific info
	HearBeat       int64    `redis:"heartbeat" json:"heartbeat"`
	ActiveNM       []string `redis:"active_nm" json:"active_nm"`
	MinerAddress   string   `redis:"miner_address" json:"miner_address"`
	BenefitAddress string   `redis:"benefit_address" json:"benefit_address"`
	IP             string   `redis:"ip" json:"ip"`
	Nonce          int64    `redis:"nonce" json:"nonce"`
}

type workerQuery struct {
	baseService
}

func getWorkerQuery(rdb *redis.Client) ServiceQuery {
	return workerQuery{
		baseService{
			rdb:     rdb,
			service: common.SERVICE_WORKER,
		},
	}
}
